<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div{
            width: 100px;
            height: 100px;
            background-color: goldenrod;
            position: relative;
            top: 0px;
            left: 0px;
            bottom: 0px;
            right: 0px;
        }
    </style>
</head>
    <body>
        <input type="button" id="der" value="derecha 100">
        <input type="button" id="ab" value="abajo 100">
        <input type="button" id="izq" value="izquierda 100">
        <input type="button" id="arr" value="arriba 100">

        <div>

        </div>
        
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script>
           $(document).ready(function(){
                $("#izq").click(                    
                    function(){                    
                        $("div").css("left","-=100px"); 
                })

                $("#ab").click(
                    function(){
                        $("div").css("top","+=100px");
                    }
                )

                $("#der").click(
                    function(){
                        $("div").css("left","+=100px");
                    }
                )

                $("#arr").click(
                    function(){
                        $("div").css("top","-=100px");
                    }
                )
            })

            /*
            $(document).ready(function(){
                $("#der").click(
                    function(){
                    $('div').animate({left:"+=100px"},1500)
                    }
                )
                $("#izq").click(
                    function(){
                    $('div').animate({left:"-=100px"},1500)
                    }
                )
                $("#arr").click(
                    function(){
                    $('div').animate({top:"-=100px"},1500)
                    }
                )
                $("#ab").click(
                    function(){
                    $('div').animate({top:"+=100px"},1500)
                    }
                )
            })
            */
        </script>
        
    </body>
</html>